数据提供商: DataForSEO
使用DataForSEO查找那些其HTML中包含指定关键词的域名。
每次调用 $0.012 起在 30 秒内响应
提供最多 10 个 HTML 词项,每项为出现在页面 HTML 源码中的字符串,可再用最多 10 个关键词缩小范围。返回首页包含这些词项的域名,每个域名一行,包含按组和分类整理的技术资料、meta 标题、meta 描述、反向链接排名、国家和语言。每页最多显示1,000个域名,下一个页面需要使用相应的token才能查看。每次调用发送一次请求,按供应商的价目表计费;空结果集会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/domain_analytics/technologies/domains_by_html_terms/live on Glasser.bash
glasser run -p dataforseo -e '/v3/domain_analytics/technologies/domains_by_html_terms/live' -i '{"search_terms":["data-attrid"]}' --endpoint-version 7使用接口版本 7。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/domain_analytics/technologies/domains_by_html_terms/live","input":{"search_terms":["data-attrid"]},"endpoint_version":7}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 7,运行前请确认当前价格。
第 2 步尝试一个具体任务
面向特定技术用户筛选潜在客户时,可以在公司的技术使用数据中检查指定工具。
复制此提示词到你的 Agent,检查潜在客户的技术使用情况。
提示词
Use dataforseo:/v3/domain_analytics/technologies/domains_by_html_terms/live on Glasser.
Check for my chosen technology in the returned usage data before I research this prospect further.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"search_terms"
],
"properties": {
"mode": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"limit": {
"type": "integer",
"maximum": 10000,
"minimum": 1
},
"offset": {
"type": "integer",
"maximum": 10000,
"minimum": 0
},
"filters": {
"type": "array",
"description": "DataForSEO filter expression, passed through unchanged: one condition [field, operator, value], or conditions joined by \"and\" / \"or\" ([[a], \"and\", [b]]). Field names come from this endpoint's result items; the number of conditions allowed is in the endpoint's docUrl."
},
"keywords": {
"type": "array",
"items": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"maxItems": 10,
"minItems": 1
},
"order_by": {
"type": "array",
"items": {
"type": "string"
},
"maxItems": 3,
"description": "DataForSEO sorting rules, passed through unchanged: up to 3 \"field,asc\" or \"field,desc\" strings, using the same field names as filters."
},
"offset_token": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"search_terms": {
"type": "array",
"items": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"maxItems": 10,
"minItems": 1
}
},
"additionalProperties": false
}json
{
"search_terms": [
"data-attrid"
]
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 基础费用 | 有无匹配数据均按此价格收费。 | $0.012 |
|---|---|---|
| 每行 | 按返回的每行计费。 | $0.0012 |
| 每次运行的费用上限 | 总费用不会超过此金额。 | $12.012 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |